function bessfn(n,mf)
% Computes and plots Bessel Functions of the
% First kind up to order n.
% Modulation Index varies from 0 to mf.
m=[0:.01:mf];
for i=1:n
bf=besselj(i-1,m);
plot(m,bf); hold on; grid on;
end;
hold off;