%% An m-file to generate and plot AM signal for various values of
%% modulation index, m.
clf;
t=[0:.00001:.01];
fc=8000; % carrier frequency.
fm=500; % modulating frequency.
wc=2*pi*fc*t;
wm=2*pi*fm*t;
subplot(311),plot(t, (1+.5*sin(wm)).*sin(wc)),...
xlabel(Time),ylabel(AM_{out}),title(AM Output Signal, m=50%);
subplot(312),plot(t,(1+1.5*sin(wm)).*sin(wc)),...
xlabel(Time),ylabel(AM_{out}),title(AM Output Signal, m=150%);
subplot(313),plot(t,sin(wm).*sin(wc)),...
xlabel(Time),ylabel(DSBSC out),title(DSBSC Output Signal);
%% end of am2.m