% MATLAB script to generate FM and PM..
% The modulating signal is a square wave..
t=linspace(0,.002,1000); % time vector..
%%
fm=1000;kp=3;
tau=.0001; % time constant of the integrator..
emp=3*square(2*pi*fm*t); %
emf(1)=0; % first sample of integrated input..
kf=kp;
for l=2:length(emp)
emf(l)=trapz(t(1:l),emp(1:l))/tau; % Trapezoidal integration of
end; % input (modulating) signal..
epm=8*sin(40000*pi*t+kp*emp);
efm=8*sin(40000*pi*t+kf*emf);
subplot(411),plot(t,emp,r), axis([0 .002 -10 10]);
xlabel(t), ylabel(e_{mp}),title(Modulating Signal for PM/FM);
subplot(412),plot(t,emf);
xlabel(t), ylabel(e_{mf}),title(Integrated Modulating Signal);
subplot(413),plot(t,epm,r);
xlabel(t), ylabel(e_{pm}),title(PM_{out}for Square wave input);
subplot(414),plot(t,efm,b);hold off;
xlabel(t), ylabel(e_{fm}),title(FM_{out}for Square wave input);
%%End of pmafm.m