%% MATLAB script m-file to generate and
% plot Chi-Square p.d.f. for various values of
% n..
clf;
clear all;
n=[2,6,8,10];
x=[0:.01:30];
for i=1:4
chpdf= x.(n(i)/2-1).*exp(-x/2)/(2(n(i)/2)...
*prod(1:(n(i)/2 -1)));
plot(x,chpdf); hold on;
end;
xlabel(x); ylabel(f_X(x));
title(The \chi2 pdf with n=2, 6, 8 & 10);
hold off;
%%%%%