%% MATLAB script m-file to generate and
% plot Weibull p.d.f. for various values of
% alpha & beta..
clf;
clear all;
a=[0.5,2,4];
b=[2,2,4];
x=[0:.01:10];
for i=1:3
wepdf=a(i)*x.(b(i)-1).*exp(-a(i).*x.b(i)/b(i));
plot(x,wepdf); hold on;
end;
xlabel(x); ylabel(f_X(x));
title(The Weibull pdf);
hold off;
%%%%