%% MATLAB script m-file to generate and
% plot Rayleigh p.d.f. for various values of
% sigma..
clf;
clear all;
a=[16,9,4,1];
b=2;
x=[0:.01:4];
for i=1:4
rpdf=a(i)*x.(b-1).*exp(-a(i).*x.b/b);
plot(x,rpdf); hold on;
end;
xlabel(x); ylabel(f_X(x));
title(The Rayleigh pdf);
hold off;
%%%%%%%%%%%%