%% MATLAB script m-file to generate and
% plot the Maxwell p.d.f. for various values of
% alpha ...
clf;
clear all;
a=[1:4];
x=[0:.01:10];
for i=1:4
madf= 4*x.2.*exp(-x.2/a(i)2)/(a(i)3*sqrt(pi));
plot(x,madf); hold on;
end;
xlabel(x); ylabel(f_X(x));
title(The Maxwell pdf);
hold off;
%%%%%%%%%%%%