%% An m-file to generate and plot AM (A3E) signal.%%%
clf;
t=[0:.0001:.1];
fc=1000; % carrier frequency.
fm=50; % modulating frequency.
wc=2*pi*fc*t;
wm=2*pi*fm*t;
subplot(311),plot(t,sin(wm)),...
xlabel(Time),ylabel(sin\omega_m t),title(Modulating Signal);
subplot(312),plot(t,sin(wc)),...
xlabel(Time),ylabel(sin\omega_c t),title(Carrier Signal);
subplot(313),plot(t,(1+sin(wm)).*sin(wc)),...
xlabel(Time), ylabel(AM_{out}),...
title(Amplitude Modulated Output Signal (A3E));
%% End of Program am.m %%%%
