%% MATLAB script m-file to generate and
% plot the Rician p.d.f. for various values of
% a and v...
clf;
clear all;
v=[0:.01:10];
for a=0:5
rpdf= v.*exp(-(v.2+a2)/2).*besseli(0,a*v);
plot(v,rpdf); hold on;
end;
xlabel(\nu); ylabel(f_{\nu}(\nu));
title(The Rician p.d.f.);
hold off;