%% MATLAB script m-file to generate and
% plot Gamma p.d.f. for various values of
% Lambda & n..
clf;
clear all;
n=2;
beta=[0.5,1,2,4];
lambda=1./beta;
x=[0:.01:10];
for i=1:4
gampdf=(lambda(i)n*x.(n-1)/prod(1:(n-1)))...
.*exp(-lambda(i)*x);
plot(x,gampdf); hold on;
end;
xlabel(x); ylabel(Gamma p.d.f.);
title(The Gamma pdf with n=2);
hold off;
%%%%%%%%